Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SceneGraphExplorerItem Class Reference
Inheritance diagram for SceneGraphExplorerItem:

## Public Member Functions
| __init__ (self, nodePath, isItemEditable=True)
| GetIconName (self)
| GetKey (self)
| GetSubList (self)
| GetText (self)
| IsEditable (self)
| IsExpandable (self)
| MenuCommand (self, command)
| OnSelect (self)
| SetText (self, text)
Public Member Functions inherited from TreeItem
| __init__ (self)
| GetLabelText (self)
| GetSelectedIconName (self)
| GetTextBg (self)
| GetTextFg (self)
| OnDoubleClick (self)

## Public Attributes
| isItemEditable = isItemEditable
| nodePath = nodePath

## Additional Inherited Members
Protected Member Functions inherited from TreeItem
| _GetSubList (self)

## Detailed Description

    Example TreeItem subclass -- browse the file system.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | nodePath,
|  |  | isItemEditable = True )

## Member Function Documentation

## ◆ GetIconName()

GetIconName | ( |  | self | ) |

    Return name of icon to be displayed normally.

Reimplemented from TreeItem.

## ◆ GetKey()

GetKey | ( |  | self | ) |

## ◆ GetSubList()

GetSubList | ( |  | self | ) |

    Return list of items forming sublist.

Reimplemented from TreeItem.

## ◆ GetText()

GetText | ( |  | self | ) |

    Return text string to display.

Reimplemented from TreeItem.

## ◆ IsEditable()

IsEditable | ( |  | self | ) |

    Return whether the item's text may be edited.

Reimplemented from TreeItem.

## ◆ IsExpandable()

IsExpandable | ( |  | self | ) |

    Return whether there are subitems.

Reimplemented from TreeItem.

## ◆ MenuCommand()

MenuCommand | ( |  | self,
|  |  | command )

## ◆ OnSelect()

OnSelect | ( |  | self | ) |

    Called when item selected.

Reimplemented from TreeItem.

## ◆ SetText()

SetText | ( |  | self,
|  |  | text )

    Change the item's text (if it is editable).

Reimplemented from TreeItem.

## Member Data Documentation

## ◆ isItemEditable

isItemEditable = isItemEditable

## ◆ nodePath

nodePath = nodePath